Last Comment Bug 519592 - mochitest-plain: content/html/content/test/test_bug514856.html fails occasionally
: mochitest-plain: content/html/content/test/test_bug514856.html fails occasion...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
http://tinderbox.mozilla.org/showlog....
Depends on:
Blocks: 438871 514856
  Show dependency treegraph
 
Reported: 2009-09-29 18:25 PDT by Mats Palmgren (:mats)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 [checked-in] (4.15 KB, patch)
2011-04-12 17:50 PDT, Mounir Lamouri (:mounir)
ehsan: review+
Details | Diff | Splinter Review

Description Mats Palmgren (:mats) 2009-09-29 18:25:41 PDT
27794 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/content/test/test_bug514856.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDOMWindowUtils.sendMouseEvent]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: http://localhost:8888/tests/content/html/content/test/test_bug514856.html :: runTest :: line 35"  data: no]
27796 INFO Running /tests/content/html/content/test/test_bug589.html...
27797 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/content/test/test_bug589.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDOMWindowUtils.sendMouseEvent]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: http://localhost:8888/tests/content/html/content/test/test_bug514856.html :: runTest :: line 35"  data: no]
Comment 1 Mounir Lamouri (:mounir) 2011-04-12 17:50:31 PDT
Created attachment 525577 [details] [diff] [review]
Patch v1 [checked-in]

This should be way more saner.
Comment 2 :Ehsan Akhgari 2011-04-12 20:59:18 PDT
Comment on attachment 525577 [details] [diff] [review]
Patch v1 [checked-in]

Looks great, thanks!
Comment 3 Mounir Lamouri (:mounir) 2011-04-12 23:40:35 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/8db17d96cb61

Note You need to log in before you can comment on or make changes to this bug.